# $Id: maq.spec 8892 2010-06-15 16:55:22Z shuff $
# Authority: shuff
# Upstream: Heng Li <maq-help$lists,sourceforge,net>

Summary: Mapping and Assembly with Qualities
Name: maq
Version: 0.7.1
Release: 1%{?dist}
License: GPL
Group: Applications/Engineering
URL: http://maq.sourceforge.net/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://downloads.sourceforge.net/project/maq/maq/%{version}/maq-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: binutils, gcc-c++, make, autoconf, automake
BuildRequires: glibc-devel
BuildRequires: zlib-devel

Requires: gnuplot

Obsoletes: mapass2

%description
Maq is a software that builds mapping assemblies from short reads generated by
the next-generation sequencing machines. It is particularly designed for
Illumina-Solexa 1G Genetic Analyzer, and has a preliminary functionality to
handle AB SOLiD data.


%prep
%setup

%build
CFLAGS="%{optflags}" %configure --enable-slowmap 
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog FUTURES INSTALL NEWS PROBLEMS README
%{_bindir}/*

%changelog
* Tue Jun 15 2010 Steve Huff <shuff@vecna.org> - 0.7.1-1 - 8892/shuff
- Initial package.
